## w3af 1.6.54%2bgit20160429

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/w3af-Webapplicationattackandauditframework.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/w3af-Webapplicationattackandauditframework.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/w3af-Webapplicationattackandauditframework"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/w3af-Webapplicationattackandauditframework"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== w3af/tests/requirements.txt ===
# pylint
pylint==1.4.4

# Nose
nose==1.3.4
termcolor==1.1.0
yanc==0.2.4
xunitparser==1.2.0
nose-timer==0.5.0

# Install requirements for coveralls
coverage==3.6
nose-cov==1.6
coveralls==0.2

# Requirements to test the REST API
requests>=2.7.0

# Other
mock==1.0.1
psutil==2.2.1
SOAPpy==0.12.5
Pillow==1.7.8
SimpleCV==1.3
futures==2.1.5
fabric==1.8.0
yolk==0.4.3
memory_profiler==0.32
docker-tag-naming>=1.0.3

# Most test servers are run inside docker containers
docker-compose==1.2.0

## w3af 1.1svn5547

=== debian/changelog ===
w3af (1.1svn5547-1) unstable; urgency=low

  * The Managua DebConf12 release!
  * New upstream release (closes: #669939)
    - Better error handling (closes: #675284)
  * Many improvements from Jari Aalto <jari.aalto@cante.net> thanks! (closes:
    #669941):
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
    - Add build-arch and build-indep targets; use dh_prep in rules file.
    - Fix copyright-refers-to-symlink-license (Lintian).
    - Fix copyright-with-old-dh-make-debian-copyright (Lintian).
    - Fix debian-watch-file-is-missing (Lintian).
  * Removing patches already included by upstream:
    - 05_raise_exception_no_strings (closes: #585368)
  * Disabling auto-update: disable-auto-update.patch
  * Reimplementing pybloomfiltermmap with disk_set.

 -- Luciano Bello <luciano@debian.org>  Mon, 09 Jul 2012 07:35:46 +0200

w3af (1.0.0-1) experimental; urgency=low

  * w3af-1.0 is stable! (closes: #614125)
  * Rise exceptions, no strings (closes: #585367).
  * Since nltk is not part of Debian, the wordnet plugin was disable.
  * netcat was removed too.

 -- Luciano Bello <luciano@debian.org>  Tue, 31 May 2011 20:15:46 -0300

w3af (1.0-rc3svn3489-1) unstable; urgency=low

  [ Luciano Bello ]
  * New SVN export revision: 3489
  * removed from the source
    - nltk (closes: #571004, #555346)
    - yalm
  * Licenses added to the copyright file:
    - dir_bruter/common_dirs_small.db: cc-by-sa 3.0
    - extlib/ntlmaps: LGPL
    - extlib/gtkcodebuffer: LGPL
    - core/data/url/handlers/keepalive.py: LGPL-2.1

  [ Bernd Zeimetz ]
  * Replace python-json by python-simplejson. (Closes: #571110, #580645)
  * Build for all Python versions and use the default Python version.

 -- Luciano Bello <luciano@debian.org>  Wed, 12 May 2010 11:20:27 -0300

w3af (1.0~rc2svn3429-1) unstable; urgency=low

  * Now, only for python2.5.

 -- Luciano Bello <luciano@debian.org>  Sat, 20 Mar 2010 13:54:58 -0300

w3af (1.0~rc2svn3180-1) unstable; urgency=low

  * No more dh_desktop.
  * Added the recommended README file for packages which depend on dpatch.
  * Ready for Python 2.6. (Closes: #534803)
  * Removed the empty paragraph at the end of the package description, which
    can be only spotted by Rhonda (Closes: #531026).

 -- Luciano Bello <luciano@debian.org>  Sat, 14 Nov 2009 20:12:43 -0300

w3af (1.0~rc2svn2845-1) unstable; urgency=low

  * Initial release (Closes: #465120)

 -- Luciano Bello <luciano@debian.org>  Tue, 28 Apr 2009 12:48:43 -0300

=== debian/control ===
Source: w3af
Section: net
Priority: extra
Maintainer: Luciano Bello <luciano@debian.org>
Build-Depends: debhelper (>= 9), python-support
Standards-Version: 3.9.3
Homepage: http://w3af.sourceforge.net/
XS-Python-Version: all

Package: w3af
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, w3af-console (>= ${binary:Version}), python-gtk2 (>= 2.12), graphviz, python-gtksourceview2
Description: framework to find and exploit web application vulnerabilities
 w3af is a Web Application Attack and Audit Framework which aims
 to identify and exploit all web application vulnerabilities. 
 .
 This package provides a graphical user interface (GUI) for the framework.  If 
 you want a command-line application only, install w3af-console.
 .
 The framework has been called the "metasploit for the web", but it's actually
 much more than that, because it also discovers the web application
 vulnerabilities using black-box scanning techniques!
 .
 The w3af core and it's plugins are fully written in Python. The project has
 more than 130 plugins, which identify and exploit SQL injection, cross site
 scripting (XSS), remote file inclusion and more.

Package: w3af-console
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-simplejson, python-beautifulsoup, python-soappy, python-pypdf, python-openssl, python-pysqlite2, python-svn, python-chardet
Conflicts: python-json
Description: framework to find and exploit web application vulnerabilities (CLI only)
 w3af is a Web Application Attack and Audit Framework which aims
 to identify and exploit all web application vulnerabilities.
 .
 This package provides a command line interface (CLI) only. The graphical user 
 interface (GUI) is provided by the package w3af.
 .
 The framework has been called the "metasploit for the web", but it's actually
 much more than that, because it also discovers the web application
 vulnerabilities using black-box scanning techniques!
 .
 The w3af core and it's plugins are fully written in Python. The project has
 more than 130 plugins, which identify and exploit SQL injection, cross site
 scripting (XSS), remote file inclusion and more.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp debian/desktop debian/w3af/usr/share/applications/w3af.desktop
	cp debian/w3af.xpm debian/w3af/usr/share/pixmaps/
	cp -r core locales plugins profiles extlib debian/w3af-console/usr/share/w3af/
	cp w3af_console debian/w3af-console/usr/share/w3af/
	cp w3af_gui debian/w3af/usr/share/w3af/
	chmod +x debian/w3af-console/usr/share/w3af/w3af_console debian/w3af/usr/share/w3af/w3af_gui
	cp debian/w3af.sh debian/w3af-console/usr/bin/w3af
	cp debian/w3af_console.sh debian/w3af-console/usr/bin/w3af_console
	cp debian/w3af_gui.sh debian/w3af/usr/bin/w3af_gui
	mv debian/w3af-console/usr/share/w3af/core/ui/gtkUi debian/w3af/usr/share/w3af/core/ui/gtkUi
	mv debian/w3af-console/usr/share/w3af/extlib/xdot debian/w3af/usr/share/w3af/extlib/

build-arch: build
build-indep: build

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_pysupport
	dh_installman
	dh_installmenu
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary-arch install

=== debian/watch ===
version=3
http://sf.net/w3af/w3af-(\d[\d.]+)\.tar\.bz2

## w3af 1.6.54+git20160429

=== debian/changelog ===
w3af (1.6.54+git20160429-3) unstable; urgency=medium

  * Add gbp.conf file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Aug 2016 17:18:23 +0200

w3af (1.6.54+git20160429-2) UNRELEASED; urgency=medium

  * Move to pkg-security

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 May 2016 10:15:46 +0200

w3af (1.6.54+git20160429-1) unstable; urgency=medium

  [ Luciano Bello ]
  * New upstream release Closes: #711866. Master's head on 2016-04-29.
  * New upstream website:
    - Watch file updated.
    - Homepage in debian/control.
    - python-pypdf dependency was removed. Closes: #763975.
  * Manpage draft added.
  * New Standards-Version: 3.9.8
  * debian/copyright: XDot url updated.
  * Migrating to dh_python2. Closes: #703686.
  * X-Python-Version: >= 2.7 Closes: #703042
  * SQLmap embedded copy removed.
  * Plugins' tests removed via -X /plugins/tests/.
  * Removing GUI files (w3af/core/ui/gui) from w3af-console and adding
    it to w3af binary package.
  * Copyright file purged.

  [ Gianfranco Costamagna ]
  * Fix insecure VCS fields
  * Drop menu file, per CTTE decision

 -- Luciano Bello <luciano@debian.org>  Tue, 26 Apr 2016 13:36:08 +0200

w3af (1.1svn5547-1.1) unstable; urgency=medium

  * Non-maintainer upload from debconf15
  * Replace python-support by dh-python
  * AddRediff existing dependency patch into new
    remove_pybloomfilter_import.patch and apply it (closes: #684722)
  * Add python-lxml and python-scapy to Depends as the package doesn't
    work without them

 -- Paul Gevers <elbrus@debian.org>  Tue, 18 Aug 2015 17:20:42 +0200

=== debian/control ===
Source: w3af
Section: net
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~)
Standards-Version: 3.9.8
Homepage: https://github.com/andresriancho/w3af/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/w3af.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/w3af.git
X-Python-Version: >= 2.7

Package: w3af
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         graphviz,
         python-gtksourceview2,
         python-webkit,
         w3af-console (>= ${binary:Version})
Description: framework to find and exploit web application vulnerabilities
 w3af is a Web Application Attack and Audit Framework which aims
 to identify and exploit all web application vulnerabilities.
 .
 This package provides a graphical user interface (GUI) for the framework.  If
 you want a command-line application only, install w3af-console.
 .
 The framework has been called the "metasploit for the web", but it's actually
 much more than that, because it also discovers the web application
 vulnerabilities using black-box scanning techniques!
 .
 The w3af core and it's plugins are fully written in Python. The project has
 more than 130 plugins, which identify and exploit SQL injection, cross site
 scripting (XSS), remote file inclusion and more.

Package: w3af-console
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         mitmproxy,
         python-chardet,
         python-cluster,
         python-concurrent.futures,
         python-darts.lib.utils.lru,
         python-enchant,
         python-esmre,
         python-flask,
         python-futures,
         python-git,
         python-guess-language,
         python-halberd,
         python-jinja2,
         python-markdown,
         python-msgpack,
         python-ndg-httpsclient,
         python-nltk,
         python-ntlm,
         python-openssl,
         python-pdfminer,
         python-phply,
         python-psutil,
         python-pyasn1,
         python-pybloomfiltermmap,
         python-pyclamd,
         python-pygithub,
         python-ruamel.ordereddict,
         python-lxml,
         python-scapy,
         python-simplejson,
         python-tblib,
         python-termcolor,
         python-vulndb,
         python-yaml,
         tcpdump,
         xdot
Conflicts: python-json
Description: framework to find and exploit web application vulnerabilities (CLI only)
 w3af is a Web Application Attack and Audit Framework which aims
 to identify and exploit all web application vulnerabilities.
 .
 This package provides a command line interface (CLI) only. The graphical user
 interface (GUI) is provided by the package w3af.
 .
 The framework has been called the "metasploit for the web", but it's actually
 much more than that, because it also discovers the web application
 vulnerabilities using black-box scanning techniques!
 .
 The w3af core and it's plugins are fully written in Python. The project has
 more than 130 plugins, which identify and exploit SQL injection, cross site
 scripting (XSS), remote file inclusion and more.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_python2:
	dh_python2 -p w3af-console /usr/share/w3af
	dh_link -p w3af # make sure /usr/bin symlink is created before dh_python2 cal
	dh_python2 -p w3af

override_dh_install:
	dh_install --package=w3af-console \
              -X db/sqlmap/               \
              -X /plugins/tests/          \
              -X /parsers/doc/tests/      \
              -X pynarcissus/tests/       \
              -X core/ui/gui/             \
              -X plugins/infrastructure/oHmap/GPL
	dh_install --package=w3af

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/w3af-$1\.tar\.gz/ \
  https://github.com/andresriancho/w3af/tags .*/v?(\d\S*)\.tar\.gz
